From e89dae608428033c416844048cee5d664e042cfb Mon Sep 17 00:00:00 2001
From: henry <Henry Weller h.weller@opencfd.co.uk>
Date: Thu, 10 Jul 2008 17:16:31 +0100
Subject: [PATCH] New script.

---
 bin/foamPackThirdPartyBinAll | 46 ++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)
 create mode 100755 bin/foamPackThirdPartyBinAll

diff --git a/bin/foamPackThirdPartyBinAll b/bin/foamPackThirdPartyBinAll
new file mode 100755
index 00000000000..945b065fff4
--- /dev/null
+++ b/bin/foamPackThirdPartyBinAll
@@ -0,0 +1,46 @@
+#!/bin/sh
+#------------------------------------------------------------------------------
+# =========                 |
+# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
+#  \\    /   O peration     |
+#   \\  /    A nd           | Copyright (C) 1991-2008 OpenCFD Ltd.
+#    \\/     M anipulation  |
+#-------------------------------------------------------------------------------
+# License
+#     This file is part of OpenFOAM.
+#
+#     OpenFOAM is free software; you can redistribute it and/or modify it
+#     under the terms of the GNU General Public License as published by the
+#     Free Software Foundation; either version 2 of the License, or (at your
+#     option) any later version.
+#
+#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
+#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+#     for more details.
+#
+#     You should have received a copy of the GNU General Public License
+#     along with OpenFOAM; if not, write to the Free Software Foundation,
+#     Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+#
+# Script
+#     foamPackThirdPartyBinAll [outputDir]
+#
+# Description
+#     Packs and compresses all binary versions of ThirdParty for release
+#
+#------------------------------------------------------------------------------
+foamDir=$WM_PROJECT-$WM_PROJECT_VERSION
+
+if [ ! -d ThirdParty ]
+then
+   echo "Error: directory ThirdParty does not exist"
+   exit 1
+fi
+
+for bin in $foamDir/lib/*
+do
+   foamPackThirdPartyBin ${bin##*/} $@
+done
+
+#------------------------------------------------------------------------------
-- 
GitLab